On 6/4/09, Christian Ohm <chr.ox...@gmx.net> wrote:
> On Thursday,  4 June 2009 at 15:42, bugs buggy wrote:
>  > The problem with this hack is, that if we keep this in, then this hack
>  > is enabled for *all* people on linux, if they need it or not.
>  >
>  > AFAIK, we can't detect what drivers people are using, so the below
>  > error message is spit out for everyone on linux.
>  >
>  > If people don't report about the problem to the driver guys, then it
>  > don't get fixed.
>
>
> Afaik this only affects Mesa, not any other drivers. And the Mesa guys are
>  currently busy with Gallium, so I don't think they will do full OpenGL 1.5 
> for
>  the "old" Mesa.
>
>
>  > This is bad.
>  > I am thinking we should revert the hack altogether.
>  > Opinions?
>
>
> Actually there is no need to do the hack in GLee.c, so we can move it 
> somewhere
>  we can check the GL_RENDERER string. See patch.

If that works, then I am all for it.   Though, isn't  debug(LOG_ERROR,
"Using Mesa hack")  a bit terse?

_______________________________________________
Warzone-dev mailing list
Warzone-dev@gna.org
https://mail.gna.org/listinfo/warzone-dev

Reply via email to